<?php

namespace App\Services;

class NotificationApiService extends BaseApiService
{
    public function __construct()
    {
        parent::__construct(config('app.notif_api_base_url'));
    }

    public function getNotification($url, $params = [])
    {
        return $this->makeRequest('get', $url, $params);
    }

    public function postNotification($url, $params = [])
    {
        return $this->makeRequest('post', $url, $params);
    }
}